Up

# NSTableView

### Authors

Nicola Pero (`n.pero@mi.flashnet.it`)
Pierre-Yves Rivaille (`pyrivail@ens-lyon.fr`)
Fred Kiefer (`fredkiefer@gmx.de`)

Copyright: (C) 2000 Free Software Foundation, Inc.

### Contents -

1. Software documentation for the NSTableView class
2. Software documentation for the NSObject(NSTableDataSource) informal protocol
3. Software documentation for the NSObject(NSTableViewDelegate) informal protocol
4. Software documentation for the NSTableView(GNUPrivate) category

# Software documentation for the NSTableView class

## NSTableView : NSControl

> Declared in:
>   AppKit/NSTableView.h

> Conforms to:
>   NSUserInterfaceValidations

Availability: OpenStep
Description forthcoming.

Instance Variables
Method summary

- -_selectColumn:modifiers:
- -_sendDoubleActionForColumn:
- -addTableColumn:
- -allowsColumnReordering
- -allowsColumnResizing
- -allowsColumnSelection
- -allowsEmptySelection
- -allowsMultipleSelection
- -autoresizesAllColumnsToFit
- -autosaveName
- -autosaveTableColumns
- -backgroundColor
- -canDragRowsWithIndexes:atPoint:
- -clickedColumn
- -clickedRow
- -columnAtPoint:
- -columnAutoresizingStyle
- -columnWithIdentifier:
- -columnsInRect:
- -cornerView
- -dataSource
- -delegate
- -deselectAll:
- -deselectColumn:
- -deselectRow:
- -doubleAction
- -dragImageForRows:event:dragImageOffset:
- -dragImageForRowsWithIndexes:tableColumns:event:offset:
- -drawBackgroundInClipRect:
- -drawGridInClipRect:
- -drawRow:clipRect:
- -drawsGrid
- -editColumn:row:withEvent:select:
- -editedColumn
- -editedRow
- -frameOfCellAtColumn:row:
- -gridColor
- -gridStyleMask
- -headerView
- -highlightSelectionInClipRect:
- -highlightedTableColumn
- -indicatorImageInTableColumn:
- -intercellSpacing
- -isColumnSelected:
- -isRowSelected:
- -moveColumn:toColumn:
- -noteHeightOfRowsWithIndexesChanged:
- -noteNumberOfRowsChanged
- -numberOfColumns
- -numberOfRows
- -numberOfSelectedColumns
- -numberOfSelectedRows
- -rectOfColumn:
- -rectOfRow:
- -reloadData
- -removeTableColumn:
- -rowAtPoint:
- -rowHeight
- -rowsInRect:
- -scrollColumnToVisible:
- -scrollRowToVisible:
- -selectAll:
- -selectColumn:byExtendingSelection:
- -selectColumnIndexes:byExtendingSelection:
- -selectRow:byExtendingSelection:
- -selectRowIndexes:byExtendingSelection:
- -selectedColumn
- -selectedColumnEnumerator
- -selectedColumnIndexes
- -selectedRow
- -selectedRowEnumerator
- -selectedRowIndexes
- -setAllowsColumnReordering:
- -setAllowsColumnResizing:
- -setAllowsColumnSelection:
- -setAllowsEmptySelection:
- -setAllowsMultipleSelection:
- -setAutoresizesAllColumnsToFit:
- -setAutosaveName:
- -setAutosaveTableColumns:
- -setBackgroundColor:
- -setColumnAutoresizingStyle:
- -setCornerView:
- -setDataSource:
- -setDelegate:
- -setDoubleAction:
- -setDraggingSourceOperationMask:forLocal:
- -setDrawsGrid:
- -setDropRow:dropOperation:
- -setGridColor:
- -setGridStyleMask:
- -setHeaderView:
- -setHighlightedTableColumn:
- -setIndicatorImage:inTableColumn:
- -setIntercellSpacing:
- -setRowHeight:
- -setSortDescriptors:
- -setUsesAlternatingRowBackgroundColors:
- -setVerticalMotionCanBeginDrag:
- -sizeLastColumnToFit
- -sortDescriptors
- -tableColumnWithIdentifier:
- -tableColumns
- -textDidBeginEditing:
- -textDidChange:
- -textDidEndEditing:
- -textShouldBeginEditing:
- -textShouldEndEditing:
- -tile
- -usesAlternatingRowBackgroundColors
- -verticalMotionCanBeginDrag

### addTableColumn:

- (void) addTableColumn: (NSTableColumn*)aColumn;
Availability: OpenStep
Description forthcoming.

### allowsColumnReordering

- (BOOL) allowsColumnReordering;
Availability: OpenStep
Description forthcoming.

### allowsColumnResizing

- (BOOL) allowsColumnResizing;
Availability: OpenStep
Description forthcoming.

### allowsColumnSelection

- (BOOL) allowsColumnSelection;
Availability: OpenStep
Description forthcoming.

### allowsEmptySelection

- (BOOL) allowsEmptySelection;
Availability: OpenStep
Description forthcoming.

### allowsMultipleSelection

- (BOOL) allowsMultipleSelection;
Availability: OpenStep
Description forthcoming.

### autoresizesAllColumnsToFit

- (BOOL) autoresizesAllColumnsToFit;
Availability: OpenStep
Description forthcoming.

### autosaveName

- (NSString*) autosaveName;
Availability: OpenStep
Description forthcoming.

### autosaveTableColumns

- (BOOL) autosaveTableColumns;
Availability: OpenStep
Description forthcoming.

### backgroundColor

- (NSColor*) backgroundColor;
Availability: OpenStep
Description forthcoming.

### canDragRowsWithIndexes: atPoint:

- (BOOL) canDragRowsWithIndexes: (NSIndexSet*)indexes atPoint: (NSPoint)point;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### clickedColumn

- (int) clickedColumn;
Availability: OpenStep
Description forthcoming.

### clickedRow

- (int) clickedRow;
Availability: OpenStep
Description forthcoming.

### columnAtPoint:

- (int) columnAtPoint: (NSPoint)aPoint;
Availability: OpenStep
Description forthcoming.

### columnAutoresizingStyle

- (NSTableViewColumnAutoresizingStyle) columnAutoresizingStyle;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### columnWithIdentifier:

- (int) columnWithIdentifier: (id)identifier;
Availability: OpenStep
Description forthcoming.

### columnsInRect:

- (NSRange) columnsInRect: (NSRect)aRect;
Availability: OpenStep
Description forthcoming.

### cornerView

- (NSView*) cornerView;
Availability: OpenStep
Description forthcoming.

### dataSource

- (id) dataSource;
Availability: OpenStep
Description forthcoming.

### delegate

- (id) delegate;
Availability: OpenStep
Description forthcoming.

### deselectAll:

- (void) deselectAll: (id)sender;
Availability: OpenStep
Description forthcoming.

### deselectColumn:

- (void) deselectColumn: (int)columnIndex;
Availability: OpenStep
Description forthcoming.

### deselectRow:

- (void) deselectRow: (int)rowIndex;
Availability: OpenStep
Description forthcoming.

### doubleAction

- (SEL) doubleAction;
Availability: OpenStep
Description forthcoming.

### dragImageForRows: event: dragImageOffset:

- (NSImage*) dragImageForRows: (NSArray*)dragRows event: (NSEvent*)dragEvent dragImageOffset: (NSPoint*)dragImageOffset;
Availability: OpenStep
Description forthcoming.

### dragImageForRowsWithIndexes: tableColumns: event: offset:

- (NSImage*) dragImageForRowsWithIndexes: (NSIndexSet*)rows tableColumns: (NSArray*)cols event: (NSEvent*)event offset: (NSPoint*)offset;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### drawBackgroundInClipRect:

- (void) drawBackgroundInClipRect: (NSRect)clipRect;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### drawGridInClipRect:

- (void) drawGridInClipRect: (NSRect)aRect;
Availability: OpenStep
Description forthcoming.

### drawRow: clipRect:

- (void) drawRow: (int)rowIndex clipRect: (NSRect)clipRect;
Availability: OpenStep
Description forthcoming.

### drawsGrid

- (BOOL) drawsGrid;
Availability: OpenStep
Description forthcoming.

### editColumn: row: withEvent: select:

- (void) editColumn: (int)columnIndex row: (int)rowIndex withEvent: (NSEvent*)theEvent select: (BOOL)flag;
Availability: OpenStep
Description forthcoming.

### editedColumn

- (int) editedColumn;
Availability: OpenStep
Description forthcoming.

### editedRow

- (int) editedRow;
Availability: OpenStep
Description forthcoming.

### frameOfCellAtColumn: row:

- (NSRect) frameOfCellAtColumn: (int)columnIndex row: (int)rowIndex;
Availability: OpenStep
Description forthcoming.

### gridColor

- (NSColor*) gridColor;
Availability: OpenStep
Description forthcoming.

### gridStyleMask

- (unsigned int) gridStyleMask;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### headerView

- (NSTableHeaderView*) headerView;
Availability: OpenStep
Description forthcoming.

### highlightSelectionInClipRect:

- (void) highlightSelectionInClipRect: (NSRect)clipRect;
Availability: OpenStep
Description forthcoming.

### highlightedTableColumn

- (NSTableColumn*) highlightedTableColumn;
Availability: OpenStep
Description forthcoming.

### indicatorImageInTableColumn:

- (NSImage*) indicatorImageInTableColumn: (NSTableColumn*)aTableColumn;
Availability: OpenStep
Description forthcoming.

### intercellSpacing

- (NSSize) intercellSpacing;
Availability: OpenStep
Description forthcoming.

### isColumnSelected:

- (BOOL) isColumnSelected: (int)columnIndex;
Availability: OpenStep
Description forthcoming.

### isRowSelected:

- (BOOL) isRowSelected: (int)rowIndex;
Availability: OpenStep
Description forthcoming.

### moveColumn: toColumn:

- (void) moveColumn: (int)columnIndex toColumn: (int)newIndex;
Availability: OpenStep
Description forthcoming.

### noteHeightOfRowsWithIndexesChanged:

- (void) noteHeightOfRowsWithIndexesChanged: (NSIndexSet*)indexes;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### noteNumberOfRowsChanged

- (void) noteNumberOfRowsChanged;
Availability: OpenStep
Description forthcoming.

### numberOfColumns

- (int) numberOfColumns;
Availability: OpenStep
Description forthcoming.

### numberOfRows

- (int) numberOfRows;
Availability: OpenStep
Description forthcoming.

### numberOfSelectedColumns

- (int) numberOfSelectedColumns;
Availability: OpenStep
Description forthcoming.

### numberOfSelectedRows

- (int) numberOfSelectedRows;
Availability: OpenStep
Description forthcoming.

### rectOfColumn:

- (NSRect) rectOfColumn: (int)columnIndex;
Availability: OpenStep
Description forthcoming.

### rectOfRow:

- (NSRect) rectOfRow: (int)rowIndex;
Availability: OpenStep
Description forthcoming.

### reloadData

- (void) reloadData;
Availability: OpenStep
Description forthcoming.

### removeTableColumn:

- (void) removeTableColumn: (NSTableColumn*)aColumn;
Availability: OpenStep
Description forthcoming.

### rowAtPoint:

- (int) rowAtPoint: (NSPoint)aPoint;
Availability: OpenStep
Description forthcoming.

### rowHeight

- (float) rowHeight;
Availability: OpenStep
Description forthcoming.

### rowsInRect:

- (NSRange) rowsInRect: (NSRect)aRect;
Availability: OpenStep
Description forthcoming.

### scrollColumnToVisible:

- (void) scrollColumnToVisible: (int)columnIndex;
Availability: OpenStep
Description forthcoming.

### scrollRowToVisible:

- (void) scrollRowToVisible: (int)rowIndex;
Availability: OpenStep
Description forthcoming.

### selectAll:

- (void) selectAll: (id)sender;
Availability: OpenStep
Description forthcoming.

### selectColumn: byExtendingSelection:

- (void) selectColumn: (int)columnIndex byExtendingSelection: (BOOL)flag;
Availability: OpenStep
Description forthcoming.

### selectColumnIndexes: byExtendingSelection:

- (void) selectColumnIndexes: (NSIndexSet*)indexes byExtendingSelection: (BOOL)extend;
Availability: OpenStep
Description forthcoming.

### selectRow: byExtendingSelection:

- (void) selectRow: (int)rowIndex byExtendingSelection: (BOOL)flag;
Availability: OpenStep
Description forthcoming.

### selectRowIndexes: byExtendingSelection:

- (void) selectRowIndexes: (NSIndexSet*)indexes byExtendingSelection: (BOOL)extend;
Availability: OpenStep
Description forthcoming.

### selectedColumn

- (int) selectedColumn;
Availability: OpenStep
Description forthcoming.

### selectedColumnEnumerator

- (NSEnumerator*) selectedColumnEnumerator;
Availability: OpenStep
Description forthcoming.

### selectedColumnIndexes

- (NSIndexSet*) selectedColumnIndexes;
Availability: OpenStep
Description forthcoming.

### selectedRow

- (int) selectedRow;
Availability: OpenStep
Description forthcoming.

### selectedRowEnumerator

- (NSEnumerator*) selectedRowEnumerator;
Availability: OpenStep
Description forthcoming.

### selectedRowIndexes

- (NSIndexSet*) selectedRowIndexes;
Availability: OpenStep
Description forthcoming.

### setAllowsColumnReordering:

- (void) setAllowsColumnReordering: (BOOL)flag;
Availability: OpenStep
Description forthcoming.

### setAllowsColumnResizing:

- (void) setAllowsColumnResizing: (BOOL)flag;
Availability: OpenStep
Description forthcoming.

### setAllowsColumnSelection:

- (void) setAllowsColumnSelection: (BOOL)flag;
Availability: OpenStep
Description forthcoming.

### setAllowsEmptySelection:

- (void) setAllowsEmptySelection: (BOOL)flag;
Availability: OpenStep
Description forthcoming.

### setAllowsMultipleSelection:

- (void) setAllowsMultipleSelection: (BOOL)flag;
Availability: OpenStep
Description forthcoming.

### setAutoresizesAllColumnsToFit:

- (void) setAutoresizesAllColumnsToFit: (BOOL)flag;
Availability: OpenStep
Description forthcoming.

### setAutosaveName:

- (void) setAutosaveName: (NSString*)name;
Availability: OpenStep
Description forthcoming.

### setAutosaveTableColumns:

- (void) setAutosaveTableColumns: (BOOL)flag;
Availability: OpenStep
Description forthcoming.

### setBackgroundColor:

- (void) setBackgroundColor: (NSColor*)aColor;
Availability: OpenStep
Description forthcoming.

### setColumnAutoresizingStyle:

- (void) setColumnAutoresizingStyle: (NSTableViewColumnAutoresizingStyle)style;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### setCornerView:

- (void) setCornerView: (NSView*)aView;
Availability: OpenStep
Description forthcoming.

### setDataSource:

- (void) setDataSource: (id)anObject;
Availability: OpenStep
Description forthcoming.

### setDelegate:

- (void) setDelegate: (id)anObject;
Availability: OpenStep
Description forthcoming.

### setDoubleAction:

- (void) setDoubleAction: (SEL)aSelector;
Availability: OpenStep
Description forthcoming.

### setDraggingSourceOperationMask: forLocal:

- (void) setDraggingSourceOperationMask: (unsigned int)mask forLocal: (BOOL)isLocal;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### setDrawsGrid:

- (void) setDrawsGrid: (BOOL)flag;
Availability: OpenStep
Description forthcoming.

### setDropRow: dropOperation:

- (void) setDropRow: (int)row dropOperation: (NSTableViewDropOperation)operation;
Availability: OpenStep
Description forthcoming.

### setGridColor:

- (void) setGridColor: (NSColor*)aColor;
Availability: OpenStep
Description forthcoming.

### setGridStyleMask:

- (void) setGridStyleMask: (unsigned int)gridType;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### setHeaderView:

- (void) setHeaderView: (NSTableHeaderView*)aHeaderView;
Availability: OpenStep
Description forthcoming.

### setHighlightedTableColumn:

- (void) setHighlightedTableColumn: (NSTableColumn*)aTableColumn;
Availability: OpenStep
Description forthcoming.

### setIndicatorImage: inTableColumn:

- (void) setIndicatorImage: (NSImage*)anImage inTableColumn: (NSTableColumn*)aTableColumn;
Availability: OpenStep
Description forthcoming.

### setIntercellSpacing:

- (void) setIntercellSpacing: (NSSize)aSize;
Availability: OpenStep
Description forthcoming.

### setRowHeight:

- (void) setRowHeight: (float)rowHeight;
Availability: OpenStep
Description forthcoming.

### setSortDescriptors:

- (void) setSortDescriptors: (NSArray*)array;
Availability: OpenStep
Description forthcoming.

### setUsesAlternatingRowBackgroundColors:

- (void) setUsesAlternatingRowBackgroundColors: (BOOL)useAlternatingRowColors;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### setVerticalMotionCanBeginDrag:

- (void) setVerticalMotionCanBeginDrag: (BOOL)flag;
Availability: OpenStep
Description forthcoming.

### sizeLastColumnToFit

- (void) sizeLastColumnToFit;
Availability: OpenStep
Description forthcoming.

### sortDescriptors

- (NSArray*) sortDescriptors;
Availability: OpenStep
Description forthcoming.

### tableColumnWithIdentifier:

- (NSTableColumn*) tableColumnWithIdentifier: (id)anObject;
Availability: OpenStep
Description forthcoming.

### tableColumns

- (NSArray*) tableColumns;
Availability: OpenStep
Description forthcoming.

### textDidBeginEditing:

- (void) textDidBeginEditing: (NSNotification*)aNotification;
Availability: OpenStep
Description forthcoming.

### textDidChange:

- (void) textDidChange: (NSNotification*)aNotification;
Availability: OpenStep
Description forthcoming.

### textDidEndEditing:

- (void) textDidEndEditing: (NSNotification*)aNotification;
Availability: OpenStep
Description forthcoming.

### textShouldBeginEditing:

- (BOOL) textShouldBeginEditing: (NSText*)textObject;
Availability: OpenStep
Description forthcoming.

### textShouldEndEditing:

- (BOOL) textShouldEndEditing: (NSText*)textObject;
Availability: OpenStep
Description forthcoming.

### tile

- (void) tile;
Availability: OpenStep
Description forthcoming.

### usesAlternatingRowBackgroundColors

- (BOOL) usesAlternatingRowBackgroundColors;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### verticalMotionCanBeginDrag

- (BOOL) verticalMotionCanBeginDrag;
Availability: OpenStep
Description forthcoming.

## Instance Variables for NSTableView Class

### _action

@protected SEL _action;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _allowsColumnReordering

@protected BOOL _allowsColumnReordering;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _allowsColumnResizing

@protected BOOL _allowsColumnResizing;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _allowsColumnSelection

@protected BOOL _allowsColumnSelection;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _allowsEmptySelection

@protected BOOL _allowsEmptySelection;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _allowsMultipleSelection

@protected BOOL _allowsMultipleSelection;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _autoresizesAllColumnsToFit

@protected BOOL _autoresizesAllColumnsToFit;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _autosaveName

@protected NSString* _autosaveName;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _autosaveTableColumns

@protected BOOL _autosaveTableColumns;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _backgroundColor

@protected NSColor* _backgroundColor;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _clickedColumn

@protected int _clickedColumn;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _clickedRow

@protected int _clickedRow;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _columnOrigins

@protected float* _columnOrigins;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _cornerView

@protected NSView* _cornerView;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _dataSource

@protected id _dataSource;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _dataSource_editable

@protected BOOL _dataSource_editable;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _del_responds

@protected BOOL _del_responds;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _delegate

@protected id _delegate;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _doubleAction

@protected SEL _doubleAction;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _draggingSourceOperationMaskForLocal

@protected unsigned int _draggingSourceOperationMaskForLocal;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _draggingSourceOperationMaskForRemote

@protected unsigned int _draggingSourceOperationMaskForRemote;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _drawsGrid

@protected BOOL _drawsGrid;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _editedCell

@protected NSCell* _editedCell;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _editedColumn

@protected int _editedColumn;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _editedRow

@protected int _editedRow;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _gridColor

@protected NSColor* _gridColor;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _headerView

@protected NSTableHeaderView* _headerView;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _highlightedTableColumn

@protected NSTableColumn* _highlightedTableColumn;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _intercellSpacing

@protected NSSize _intercellSpacing;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _numberOfColumns

@protected int _numberOfColumns;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _numberOfRows

@protected int _numberOfRows;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _rowHeight

@protected float _rowHeight;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _selectedColumn

@protected int _selectedColumn;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _selectedColumns

@protected NSMutableIndexSet* _selectedColumns;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _selectedRow

@protected int _selectedRow;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _selectedRows

@protected NSMutableIndexSet* _selectedRows;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _selectingColumns

@protected BOOL _selectingColumns;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _superview_width

@protected float _superview_width;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _tableColumns

@protected NSMutableArray* _tableColumns;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _target

@protected id _target;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _textObject

@protected NSText* _textObject;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _tilingDisabled

@protected BOOL _tilingDisabled;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _verticalMotionDrag

@protected BOOL _verticalMotionDrag;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

# Software documentation for the NSObject(NSTableDataSource) informal protocol

## NSObject(NSTableDataSource)

> Declared in:
>   AppKit/NSTableView.h

Availability: OpenStep
Description forthcoming.
Method summary

- -numberOfRowsInTableView:
- -tableView:acceptDrop:row:dropOperation:
- -tableView:objectValueForTableColumn:row:
- -tableView:setObjectValue:forTableColumn:row:
- -tableView:validateDrop:proposedRow:proposedDropOperation:
- -tableView:writeRows:toPasteboard:
- -tableView:writeRowsWithIndexes:toPasteboard:

### numberOfRowsInTableView:

- (int) numberOfRowsInTableView: (NSTableView*)aTableView;
Availability: OpenStep
Description forthcoming.

### tableView: acceptDrop: row: dropOperation:

- (BOOL) tableView: (NSTableView*)tableView acceptDrop: (id<NSDraggingInfo>)info row: (int)row dropOperation: (NSTableViewDropOperation)operation;
Availability: OpenStep
Description forthcoming.

### tableView: objectValueForTableColumn: row:

- (id) tableView: (NSTableView*)aTableView objectValueForTableColumn: (NSTableColumn*)aTableColumn row: (int)rowIndex;
Availability: OpenStep
Description forthcoming.

### tableView: setObjectValue: forTableColumn: row:

- (void) tableView: (NSTableView*)aTableView setObjectValue: (id)anObject forTableColumn: (NSTableColumn*)aTableColumn row: (int)rowIndex;
Availability: OpenStep
Description forthcoming.

### tableView: validateDrop: proposedRow: proposedDropOperation:

- (NSDragOperation) tableView: (NSTableView*)tableView validateDrop: (id<NSDraggingInfo>)info proposedRow: (int)row proposedDropOperation: (NSTableViewDropOperation)operation;
Availability: OpenStep
Description forthcoming.

### tableView: writeRows: toPasteboard:

- (BOOL) tableView: (NSTableView*)tableView writeRows: (NSArray*)rows toPasteboard: (NSPasteboard*)pboard;
Availability: OpenStep
Description forthcoming.

### tableView: writeRowsWithIndexes: toPasteboard:

- (BOOL) tableView: (NSTableView*)tableView writeRowsWithIndexes: (NSIndexSet*)rows toPasteboard: (NSPasteboard*)pboard;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

# Software documentation for the NSObject(NSTableViewDelegate) informal protocol

## NSObject(NSTableViewDelegate)

> Declared in:
>   AppKit/NSTableView.h

Availability: OpenStep
Description forthcoming.
Method summary

- -selectionShouldChangeInTableView:
- -tableView:didClickTableColumn:
- -tableView:didDragTableColumn:
- -tableView:heightOfRow:
- -tableView:mouseDownInHeaderOfTableColumn:
- -tableView:shouldEditTableColumn:row:
- -tableView:shouldSelectRow:
- -tableView:shouldSelectTableColumn:
- -tableView:toolTipForCell:rect:tableColumn:row:mouseLocation:
- -tableView:willDisplayCell:forTableColumn:row:
- -tableViewColumnDidMove:
- -tableViewColumnDidResize:
- -tableViewSelectionDidChange:
- -tableViewSelectionIsChanging:

### selectionShouldChangeInTableView:

- (BOOL) selectionShouldChangeInTableView: (NSTableView*)aTableView;
Availability: OpenStep
Description forthcoming.

### tableView: didClickTableColumn:

- (void) tableView: (NSTableView*)tableView didClickTableColumn: (NSTableColumn*)tableColumn;
Availability: OpenStep
Description forthcoming.

### tableView: didDragTableColumn:

- (void) tableView: (NSTableView*)tableView didDragTableColumn: (NSTableColumn*)tableColumn;
Availability: OpenStep
Description forthcoming.

### tableView: heightOfRow:

- (float) tableView: (NSTableView*)tableView heightOfRow: (int)row;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### tableView: mouseDownInHeaderOfTableColumn:

- (void) tableView: (NSTableView*)tableView mouseDownInHeaderOfTableColumn: (NSTableColumn*)tableColumn;
Availability: OpenStep
Description forthcoming.

### tableView: shouldEditTableColumn: row:

- (BOOL) tableView: (NSTableView*)aTableView shouldEditTableColumn: (NSTableColumn*)aTableColumn row: (int)rowIndex;
Availability: OpenStep
Description forthcoming.

### tableView: shouldSelectRow:

- (BOOL) tableView: (NSTableView*)aTableView shouldSelectRow: (int)rowIndex;
Availability: OpenStep
Description forthcoming.

### tableView: shouldSelectTableColumn:

- (BOOL) tableView: (NSTableView*)aTableView shouldSelectTableColumn: (NSTableColumn*)aTableColumn;
Availability: OpenStep
Description forthcoming.

### tableView: toolTipForCell: rect: tableColumn: row: mouseLocation:

- (NSString*) tableView: (NSTableView*)tableView toolTipForCell: (NSCell*)cell rect: (NSRect*)rect tableColumn: (NSTableColumn*)col row: (int)row mouseLocation: (NSPoint)mouse;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### tableView: willDisplayCell: forTableColumn: row:

- (void) tableView: (NSTableView*)aTableView willDisplayCell: (id)aCell forTableColumn: (NSTableColumn*)aTableColumn row: (int)rowIndex;
Availability: OpenStep
Description forthcoming.

### tableViewColumnDidMove:

- (void) tableViewColumnDidMove: (NSNotification*)aNotification;
Availability: OpenStep
Description forthcoming.

### tableViewColumnDidResize:

- (void) tableViewColumnDidResize: (NSNotification*)aNotification;
Availability: OpenStep
Description forthcoming.

### tableViewSelectionDidChange:

- (void) tableViewSelectionDidChange: (NSNotification*)aNotification;
Availability: OpenStep
Description forthcoming.

### tableViewSelectionIsChanging:

- (void) tableViewSelectionIsChanging: (NSNotification*)aNotification;
Availability: OpenStep
Description forthcoming.

# Software documentation for the NSTableView(GNUPrivate) category

## NSTableView(GNUPrivate)

> Declared in:
>   AppKit/NSTableView.h

Availability: OpenStep
Description forthcoming.
Method summary

- -_selectColumn:modifiers:
- -_sendDoubleActionForColumn:

### _selectColumn: modifiers:

- (void) _selectColumn: (int)columnIndex modifiers: (unsigned int)modifiers;
Availability: OpenStep
Warning the underscore at the start of the name of this method indicates that it is private, for internal use only, and you should not use the method in your code.

### _sendDoubleActionForColumn:

- (void) _sendDoubleActionForColumn: (int)columnIndex;
Availability: OpenStep
Warning the underscore at the start of the name of this method indicates that it is private, for internal use only, and you should not use the method in your code.

Up